View Issue Details

IDProjectCategoryView StatusLast Update
0003464Talerexchangepublic2017-06-06 14:18
ReporterFlorian DoldAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0003464: Need a tool to import wire transfers from the bank
DescriptionThis will be an extension/modification to taler-exchange-reservemod.
TagsNo tags attached.

Relationships

related to 0003717 closedChristian Grothoff taler-mint-reservemod does fails to use DB abstraction layer 
parent of 0004959 closedChristian Grothoff wire plugins need a way to enumerate outgoing wire transfers as well 
parent of 0005018 closedMarcello Stanisci get emtpy (!) 400 bad request trying to /withdraw 
parent of 0005033 closedMarcello Stanisci "invalid parameters" on withdraw 
related to 0003816 closedChristian Grothoff need a way to internally uniquely identify outgoing deposit operations 

Activities

Christian Grothoff

2017-04-02 00:43

manager   ~0012013

This should be doine via the 0004959-API of wire plugins, so we have _one_ tool to do the importing and wire plugins to speak HBCI or whatever.

Christian Grothoff

2017-05-05 11:11

manager   ~0012108

ed1a4c0..da75b30 starts with taler-exchange-wirewatch (not finished).

Christian Grothoff

2017-05-08 14:36

manager   ~0012117

8f854fb..b53c189 concludes the implementation, still needs testing, waiting on 0004959.

Christian Grothoff

2017-05-29 18:28

manager   ~0012188

Got it to work with 85350ce..173c848, successfully importing a transaction from the bank.

Issue History

Date Modified Username Field Change
2014-07-01 17:12 Florian Dold New Issue
2014-07-01 17:12 Florian Dold Assigned To => Benedikt M.
2014-07-01 17:12 Florian Dold Status new => assigned
2015-01-29 16:35 Christian Grothoff Severity minor => feature
2015-03-22 14:33 Christian Grothoff Relationship added related to 0003717
2015-03-22 17:22 Christian Grothoff Assigned To Benedikt M. =>
2015-03-22 17:22 Christian Grothoff Status assigned => confirmed
2015-03-22 17:22 Christian Grothoff Product Version => SVN HEAD
2015-03-22 17:22 Christian Grothoff Summary The mint should fetch transactions via HBCI and create reserves for them => Need a tool to import transactions via HBCI
2015-03-22 17:23 Christian Grothoff Category mint => other
2015-04-09 21:17 Christian Grothoff Assigned To => Benedikt M.
2015-04-09 21:17 Christian Grothoff Status confirmed => assigned
2015-04-12 23:51 Christian Grothoff Category other => bank integration (libfints)
2015-04-13 02:58 Christian Grothoff Target Version => 0.3
2015-06-21 10:41 Christian Grothoff Target Version 0.3 => 0.1
2015-06-21 12:24 Christian Grothoff Priority normal => high
2015-06-21 12:24 Christian Grothoff Relationship added related to 0003816
2015-11-17 15:08 Christian Grothoff Target Version 0.1 => 0.3
2016-01-25 11:34 Christian Grothoff Category bank integration (libfints) => sepa integration (libfints)
2016-01-25 11:34 Christian Grothoff Category sepa integration (libfints) => libfints
2016-01-25 11:34 Christian Grothoff Category libfints => libebics
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004317
2016-10-10 08:31 Christian Grothoff Target Version 0.3 =>
2017-04-02 00:42 Christian Grothoff Relationship added related to 0004959
2017-04-02 00:42 Christian Grothoff Relationship deleted related to 0004959
2017-04-02 00:42 Christian Grothoff Relationship added parent of 0004959
2017-04-02 00:42 Christian Grothoff Assigned To Benedikt M. => Christian Grothoff
2017-04-02 00:43 Christian Grothoff Note Added: 0012013
2017-04-02 00:44 Christian Grothoff Target Version => 0.7
2017-04-02 00:44 Christian Grothoff Summary Need a tool to import transactions via HBCI => Need a tool to import wire transfers from the bank
2017-04-02 00:44 Christian Grothoff Description Updated View Revisions
2017-04-02 00:45 Christian Grothoff Category libebics => exchange
2017-05-03 02:20 Christian Grothoff Target Version 0.7 => 0.3
2017-05-05 11:11 Christian Grothoff Note Added: 0012108
2017-05-08 14:36 Christian Grothoff Note Added: 0012117
2017-05-20 18:18 Christian Grothoff Relationship added parent of 0005018
2017-05-24 23:54 Christian Grothoff Relationship added parent of 0005033
2017-05-29 18:28 Christian Grothoff Status assigned => resolved
2017-05-29 18:28 Christian Grothoff Resolution open => fixed
2017-05-29 18:28 Christian Grothoff Fixed in Version => 0.3
2017-05-29 18:28 Christian Grothoff Note Added: 0012188
2017-06-06 14:18 Christian Grothoff Status resolved => closed